/***************************************************************************
                          kbeartreeviewitem.h  -  description
                             -------------------
    begin                : tor feb 21 2002
    copyright            : (C) 2003 by Bjrn Sahlstrm
    email                : kbjorn@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KBEARTREEVIEWITEM_H
#define KBEARTREEVIEWITEM_H

//////////////////////////////////////////////////////////////////////
// Qt specific include files
#include <qwidget.h>
#include <qlistview.h>
#include <qpixmap.h>
#include <qstring.h>
//////////////////////////////////////////////////////////////////////
// KDE specific include files
//////////////////////////////////////////////////////////////////////
// Application specific include files

namespace KBear {
	/**
	*@author Bjrn Sahlstrm
	*/

	class KBearTreeViewItem : public QListViewItem  {
		public:
			/** */
			KBearTreeViewItem( QListView* parent, const QString& text );
			/** */
			KBearTreeViewItem( QListViewItem* parent, const QString& text );
			/** */
			virtual ~KBearTreeViewItem();
			/** */
			virtual void setOpen( bool o );
			/** */
			virtual void setPixmap( const QPixmap& p );
			/** */
			const QPixmap* pixmap() const { return &m_pixmap; }
		protected: // Private attributes
			QPixmap m_pixmap;
			static QPixmap* m_folderOpen;
			static QPixmap* m_folderClosed;
	};
}

#endif
